
#ifndef _HASH_H_
#define _HASH_H_


/*
 * Copyright 1993, 1995 Christopher Seiwald.
 *
 * This file is part of Jam - see jam.c for Copyright information.
 */

/*
 * hash.h - simple in-memory hashing routines 
 */

typedef struct hashdata HASHDATA;

struct hash *	hashinit( const int datalen, const char *name );
int 		hashitem( struct hash *hp, HASHDATA **data, const int enter );
void 		hashdone( struct hash *hp );

int			hashenter(struct hash* hp, HASHDATA **data);
int			hashcheck(struct hash* hp, HASHDATA **data);


#endif